/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is CUCBC Flag Status.
 *
 * The Initial Developer of the Original Code is
 * Kenrick Turner <kenrickturner@gmail.com>.
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Kenrick Turner <kenrickturner@gmail.com>
 *   
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var gXMLHttpRequest;

function loadFlagStatus() {
  gFlag = new XMLHttpRequest();
  gFlag.onload = updateFlagStatus;
  gFlag.open("GET", "http://www.cucbc.org/flg.txt", true);
  gFlag.send(null);
  window.setTimeout(loadFlagStatus, 2000000);
}

window.setTimeout(loadFlagStatus, 1000);

function updateFlagStatus()
{
  var icon = document.getElementById('cucbc-flag');
	var level;
  
  if (gFlag.responseText.match("grn"))
    level = "Green";
  else if (gFlag.responseText.match("yel"))
    level = "Yellow";
  else if (gFlag.responseText.match("red"))
    level = "Red";
  else if (gFlag.responseText.match("ryl"))
    level = "Red and Yellow";
  else
    level = "Grey - No flag data available";
		
		icon.setAttribute("tooltiptext", "The current CUCBC Flag Status is "+level.toUpperCase());
		icon.setAttribute("status", level);

}


function getWebsite(url)
{
var newTab = window.getBrowser().addTab(url);
	        window.getBrowser().selectedTab = newTab;
}